Subject: Re: [PATCH][NET_SCHED] sch_prio: class statistics printing enabled

From: Patrick McHardy <[email-masked]>
Date: Wed, 31 Jan 2007 16:23:04 +0100

Jarek Poplawski wrote:
> On Wed, Jan 31, 2007 at 04:06:05PM +0100, Patrick McHardy wrote:
> 
>>The class passed to both ->dump and ->dump_stats is not a classid but
>>a qdisc-internal identifier (pointer, integer, whatever) which comes
>>from either ->get or ->walk, and thus is valid unless these functions
>>have bugs. Your check would cover the bug up and has no other purpose.
> 
> 
> Maybe I miss something, but it's not "my check".

I don't care.

> I tried only to "stay in line with the remaining file"...

Keeping in line may make sense in case of coding style, but its
no replacement for understanding the code you're copying around.
The same check in prio_get is correct and necessary, while in
the function you add it is incorrect and covers up potential bugs.

So please remove it so we can stop this pointless discussion.